--
-- find by user id for timeline.
--
SELECT 
    A.ID
   ,R.BASIC_ID
   ,M.ACTIVITY_ID
   ,S.COLOR_ID
   ,C.COLOR AS COLOR_VALUE
   ,B.BODY
   ,A.POSTED_USER_ID
   ,A.REGISTERED 
FROM 
    meeting_agendas A
    INNER JOIN meeting_agenda_bodies B ON A.ID = B.AGENDA_ID
    INNER JOIN meeting_relations     R ON A.ID = R.AGENDA_ID
    INNER JOIN meeting_basics        M ON R.BASIC_ID = M.ID
    INNER JOIN activity_relations    S ON S.ACTIVITY_ID = M.ACTIVITY_ID
                                      AND S.USER_ID = /*userId*/1
    INNER JOIN activity_colors       C ON S.COLOR_ID = C.ID 
WHERE 
    A.POSTED_USER_ID = /*userId*/1
AND A.DEL_FLAG = '0'
ORDER BY 
    A.ID