--
-- find by user id.
--
SELECT
    C.ID
   ,C.TASK_ID
   ,B.BODY
   ,C.USER_ID
   ,C.REGISTERED
   ,U.FIRST_NAME
   ,U.LAST_NAME
   ,L.ID    AS COLOR_ID
   ,L.COLOR AS COLOR_VALUE
FROM
    task_comments C
    INNER JOIN tasks               T  ON C.TASK_ID      = T.ID
                                     AND T.DEL_FLAG          = '0'
    INNER JOIN task_comment_bodies B  ON C.TASK_ID      = B.TASK_ID
                                      AND C.ID          = B.COMMENT_ID 
    INNER JOIN users               U  ON C.USER_ID      = U.ID
    INNER JOIN task_relations      R1 ON T.ID           = R1.TASK_ID
    INNER JOIN activity_relations  R2 ON R1.ACTIVITY_ID = R2.ACTIVITY_ID
                                      AND R2.USER_ID    = /*userId*/1
    INNER JOIN activity_colors     L  ON R2.COLOR_ID    = L.ID
WHERE
    C.USER_ID = /*userId*/1
ORDER BY
    C.ID